Subject: bug#36942: Reconfigure broke GRUB

From: [email-masked] (Jakob L. Kreuze)
Date: Tue, 20 Aug 2019 12:51:11 -0400

ison <[email-masked]> writes:

> So I attempted a re-install and surprisingly it still fails.
> I attempted 3 times. Using the graphical installer without efi,
> manual install without efi, manual install with efi. All downloaded
> and built everything successfully only to fail at the bootloader.
> If the problem was my config then I'd think my first attempt would
> have succeeded because the graphical installation automatically
> built the config file.
>
> At least it's giving an error this time:
> error: '/gnu/store/drz35fc...-grub-efi-2.02/sbin/grub-install --boot-directory /mnt/boot --bootloader-id=Guix --efi-directory /boot/efi' exited with status 1: output follows:
>   /gnu/store/drz35fc...-grub-efi-2.02/sbin/grub-install: error: /gnu/store/drz35fc...-grub-efi-2.02/lib/grub/i386-pc/modinfo.sh doesn't exist. Please specify --target or --directory.
>
> My bootloader is section is still:
>   (bootloader (bootloader-configuration
>                (bootloader grub-efi-bootloader)
>                (target "/boot/efi")))

This is perfect (I mean, not that it still doesn't work, but that we
have some error output). I think I know what's going on. The new 'guix
system reconfigure' uses G-Expressions, and it looks like Grub is being
ungexp'd for the wrong architecture. To be sure, what's the architecture
of this machine?

I'll investigate further and let you know what I find. Thanks again for
doing this.

Regards,
Jakob